Archive a project
import requests
url = "https://app.langwatch.ai/api/v1/projects/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.langwatch.ai/api/v1/projects/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request DELETE \
--url https://app.langwatch.ai/api/v1/projects/{id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"name": "<string>",
"archivedAt": "2023-11-07T05:31:56Z"
}This response has no body data.This response has no body data.This response has no body data.Projects
Archive project
Soft-delete (archive) a project. Archived projects are excluded from list responses. Requires project:delete permission.
DELETE
/
api
/
v1
/
projects
/
{id}
Archive a project
import requests
url = "https://app.langwatch.ai/api/v1/projects/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.langwatch.ai/api/v1/projects/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request DELETE \
--url https://app.langwatch.ai/api/v1/projects/{id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"name": "<string>",
"archivedAt": "2023-11-07T05:31:56Z"
}This response has no body data.This response has no body data.This response has no body data.Authorizations
Admin API key for organization-level operations (managing projects, API keys). Create one in Settings > API Keys or via POST /api/api-keys. Format: sk-lw-{id}_{secret}.
Path Parameters
Minimum string length:
1Last modified on October 13, 2026
Was this page helpful?